plugins {
	kotlin("jvm") version "1.9.22"
    kotlin("plugin.serialization") version "1.9.22"
	application
}

version = "0.1.1"

group = "me.msoucy.gbat"
description = "Git By A Truck"

kotlin {
    jvmToolchain(21)
}

repositories {
	mavenCentral()
}

val argparserVersion: String by project
val exposedVersion: String by project
dependencies {
	implementation(kotlin("reflect"))
    implementation("org.jetbrains.kotlinx:kotlinx-serialization-json:1.6.3")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.8.0")
	implementation("com.xenomachina:kotlin-argparser:$argparserVersion")
    implementation("org.jetbrains.exposed:exposed-core:$exposedVersion")
    implementation("org.jetbrains.exposed:exposed-dao:$exposedVersion")
    implementation("org.jetbrains.exposed:exposed-jdbc:$exposedVersion")
	implementation("org.xerial:sqlite-jdbc:3.45.1.0")
    implementation("com.google.code.gson:gson:2.10.1")
    implementation("org.python:jython-standalone:2.7.2")
    implementation("org.pygments:pygments:2.5.2")
	testImplementation("junit:junit:4.12")
}

application {
    mainClass.set("MainKt") // The main class of the application
}
